Skip to main content
PUT
/
project
/
{projectId}
/
deploymentRule
/
{deploymentRuleId}
Edit a project deployment rule
curl --request PUT \
  --url https://api.qovery.com/project/{projectId}/deploymentRule/{deploymentRuleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "project-rule",
  "mode": "PRODUCTION",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "UTC",
  "start_time": "1970-01-01T08:00:00.000Z",
  "stop_time": "1970-01-01T19:00:00.000Z",
  "weekdays": [
    "MONDAY"
  ],
  "wildcard": "",
  "description": "description project rule",
  "auto_stop": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "project-rule",
  "mode": "PRODUCTION",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "UTC",
  "start_time": "1970-01-01T08:00:00.000Z",
  "stop_time": "1970-01-01T19:00:00.000Z",
  "weekdays": [
    "MONDAY"
  ],
  "wildcard": "",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "description project rule",
  "auto_stop": false,
  "priority_index": 123
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

projectId
string<uuid>
required

Project ID

deploymentRuleId
string<uuid>
required

Deployment Rule ID

Body

application/json
name
string
required

name is case insensitive

Example:

"project-rule"

mode
enum<string>
required
Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

cluster_id
string<uuid>
required
timezone
string
required
Example:

"UTC"

start_time
string<date-time>
required
Example:

"1970-01-01T08:00:00.000Z"

stop_time
string<date-time>
required
Example:

"1970-01-01T19:00:00.000Z"

weekdays
enum<string>[]
required
Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
wildcard
string
default:""
required

wildcard pattern composed of '?' and/or '*' used to target new created environments

description
string | null
Example:

"description project rule"

auto_stop
boolean
default:false

Response

Edit a project deployment rule

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

Example:

"project-rule"

mode
enum<string>
required
Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

cluster_id
string<uuid>
required
timezone
string
required
Example:

"UTC"

start_time
string<date-time>
required
Example:

"1970-01-01T08:00:00.000Z"

stop_time
string<date-time>
required
Example:

"1970-01-01T19:00:00.000Z"

weekdays
enum<string>[]
required
Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
wildcard
string
default:""
required

wildcard pattern composed of '?' and/or '*' used to target new created environments

updated_at
string<date-time>
read-only
description
string | null
Example:

"description project rule"

auto_stop
boolean
default:false
priority_index
integer

used to select the first deployment rule to match new created environments